[@rxap/material-table-system](../wiki/globals) / RowActionCheckFunction

# Type Alias: RowActionCheckFunction()\<Data\>

> **RowActionCheckFunction**\<`Data`\>: (`element`, `index`, `array`) => `boolean`

Defined in: [packages/angular/material/table-system/src/lib/table-row-actions/types.ts:3](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-row-actions/types.ts#L3)

## Type Parameters

• **Data**

## Parameters

### element

`Data`

### index

`number`

### array

`Data`[]

## Returns

`boolean`
